View Javadoc

    1   // ========================================================================
    2   // Licensed under the Apache License, Version 2.0 (the "License");
    3   // you may not use this file except in compliance with the License.
    4   // You may obtain a copy of the License at
    5   // http://www.apache.org/licenses/LICENSE-2.0
    6   // Unless required by applicable law or agreed to in writing, software
    7   // distributed under the License is distributed on an "AS IS" BASIS,
    8   // WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    9   // See the License for the specific language governing permissions and
    10  // limitations under the License.
    11  // ========================================================================
    12  package com.sun.org.apache.commons.logging;
    13
    14  /**
    15   * LogConfigurationException
    16   *
    17   * Bridging com.sun.org.apache.logging.
    18   *
    19   */
    20  public class LogConfigurationException extends RuntimeException
    21  {
    22
    23      /**
    24       *
    25       */
    26      public LogConfigurationException()
    27      {
    28          super();
    29      }
    30
    31      /**
    32       * @param message
    33       */
    34      public LogConfigurationException(String message)
    35      {
    36          super(message);
    37      }
    38
    39      /**
    40       * @param message
    41       * @param cause
    42       */
    43      public LogConfigurationException(String message, Throwable cause)
    44      {
    45          super(message, cause);
    46      }
    47
    48      /**
    49       * @param cause
    50       */
    51      public LogConfigurationException(Throwable cause)
    52      {
    53          super(cause);
    54      }
    55  }